textures/w/yellowsky
// same as xtoxicsky_tourney, but faster and darker, no sun
// used in: w1reactor
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	qer_editorimage textures/w/yellowsky.tga

	q3map_surfacelight 200
        // q3map_sun	1 1 0.5 150	75 60
	skyparms - 512 -

	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.8 0.8
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.4 0.4
		tcMod scale 3 3
	}
}

textures/w/reactorcore
// customized health floor (from q3dm10)
// used in: w1reactor
{
	qer_editorimage textures/sfx/healthfloor.tga

        {
		map textures/sfx/proto_zzztblu2.tga
                tcmod scroll 0 2
                tcMod turb 0 1 0 1.6
                tcmod scale 2 2
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
	        clampmap textures/gothic_block/blocks18cgeomtrn2.tga
                blendFunc blend
                tcmod rotate 280
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
                tcmod rotate 120
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
	{
	        clampmap textures/sfx/healthfloor.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/w/reactorcorefx
// customized health floor effect (from q3dm10)
// used in: w1reactor
{
	qer_editorimage textures/sfx/proto_zzztblu3.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/sfx/proto_zzztblu3.tga
		tcGen environment
                tcMod turb 0 1 0 0.5
                tcmod scroll 2 2
		blendfunc GL_ONE GL_ONE
	}
}

textures/w/lava_4000
// customized lavahell_2000 (very turbulent)
// used in: w1reactor
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 4000
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 100 .1 0.1
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .5
	}
}

textures/w/space1
// space sky, very cool
{
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    skyparms env/space1 - -
}


textures/base_light/baslt4_1_500
// like base/light/baslt4_1_* but with surfacelight 500
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/w/bluewall_glow
// glowing blue rock
{
        qer_editorimage textures/w/bluewall.tga
	q3map_surfacelight 1000
	{
	        map textures/w/bluewall.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/w/redwall_glow
// glowing red rock
{
        qer_editorimage textures/w/redwall.tga
	q3map_surfacelight 1000
	{
	        map textures/w/redwall.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/w/ipren_flag
// flag showing the Ipren guy
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        qer_editorimage textures/w/ipren.tga
        {
		map textures/w/ipren.tga
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}
}

textures/w/poontos_flag
// flag showing the poontos guy
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        qer_editorimage textures/w/poontos.tga
        {
		map textures/w/poontos.tga
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}
}

textures/w/jockum_flag
// flag showing jockum
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        cull none
        qer_editorimage textures/w/jockum.tga
        {
		map textures/w/jockum.tga
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}
}

textures/w/dutten_flag
// flag showing dutten
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        cull none
        qer_editorimage textures/w/dutten.tga
        {
		map textures/w/dutten.tga
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}
}

textures/w/shinymetal
// shiny metal
// used in: w1reactor
{

	{
		map textures/base_wall/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	}

		
	{
		map textures/w/shinymetal.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}	
		
} 

textures/w/lampcover
// standard white lamp ...
// used in: w1reactor
{
    qer_editorimage textures/w/lampcover.tga
    surfaceparm nomarks
    q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/w/lampcover.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/w/lampcover.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/w_city/gothiclightblue
// gothic thingy (not a light), blue
{

        {
		map textures/sfx/fireswirl2blue.tga
                tcMod stretch sin .8 0.3 0 9.7
                tcmod rotate 333
	        rgbGen identity
	}
        {
	        map textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
                tcmod rotate 30
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        map textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
                tcmod rotate 20
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
	{
	        map textures/gothic_block/blocks18cgeomtrnx.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/w_city/gothiclightred
// gothic thingy (not a light), red
{

        {
		map textures/sfx/fireswirl2.tga
                tcMod stretch sin .8 0.3 0 9.7
                tcmod rotate 333
	        rgbGen identity
	}
        {
	        map textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
                tcmod rotate 30
                tcMod stretch sin .8 0.2 0 .2
	        rgbGen identity
	}
        {
	        map textures/gothic_block/blocks18cgeomtrn2.tga
		blendFunc blend
                tcmod rotate 20
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
	{
	        map textures/gothic_block/blocks18cgeomtrnx.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/w/killblockgeolight
// geolight for killblock
{
	q3map_lightimage textures/base_light/geolight_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/w/killblockgeolight.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/base_light/geolight_glow.tga
		blendFunc add
		rgbgen wave sin .575 .025 0 10
	}
	
}

textures/w/mkc_fog_ctfblue_nosurf
// mkc_fog_ctfblue2 without surface
{
	qer_editorimage textures/sfx/fog_timdm1.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	fogparms ( 0.1 0.1 0.3 ) 320

	q3map_surfacelight 40
}

textures/w/sky_sunset02
// from Hipshot
{
	qer_editorimage textures\w\qer\sunset02.tga

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 100
	q3map_sun 1 1 .5 120 285 5

	skyparms env/sunset02/sunset02 - -
}


textures/skies/sky_fullmoon
// fullmoon sky
{
	qer_editorimage textures\w\qer\fullmoon.tga

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 40
	q3map_sun 1 1 1 70 270 40

	skyparms env/fullmoon/fullmoon - -
}

textures/w/proto_light_5k
// used in: w3mansion
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/proto_lightmap.tga
		blendfunc GL_ONE GL_ONE
                rgbGen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}