// FROM WOLFEN.SHADER

textures/outsource/Coulumnshiney
{   
    
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/outsource/Column1.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/outsource/shader_light1
{
	qer_editorimage textures/outsource/light1.tga
	q3map_lightimage textures/outsource/light1.blend.tga
	q3map_surfacelight 30000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/outsource/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/outsource/light1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/outsource/shader_light2
{
	qer_editorimage textures/outsource/light2.tga
	q3map_surfacelight 30000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/outsource/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/outsource/t_grate1
{
	surfaceparm	metalsteps		
	cull none
	qer_editorimage textures/outsource/grate1.tga

	{
		map textures/outsource/grate1.tga
		rgbGen identity
		alphaFunc GT0
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
///////////////////////////////////////////////
// Sky. Still needs speed tested on tcMod 's//
/////////////////////////////////////////////
textures/outsource/diamondsky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	qer_editorimage textures/outsource/dm1skybot.tga

	q3map_surfacelight 350
	q3map_sun	0.3 0.6 0.5  0 0 0
	skyparms 512 full -
//	cloudparms 512 full

	{
		map textures/outsource/dm1skybot.tga
		tcMod scale 4 4
		tcMod scroll .01 0
		depthWrite
	}
	{
		map textures/outsource/dm1skytop.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 4 4
		tcMod scroll 0.02 0.02
	}
}

///////////////////
//4UV Water Test//
/////////////////
textures/deatmatch/4uvwater
{
	qer_editorimage textures/josh/water1.tga
	q3map_surfacelight 50
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm water
	surfaceparm nolightmap
	cull disable


	{
		map textures/outsource/water1.tga
		tcMod turb 0 .2 0 .1
		rgbGen wave sin 1.0 .2 0 .2
	}
	{
		map textures/outsource/water1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphafunc GT0
		tcMod scroll .02 0
		rgbGen identity
	}
	{
		map textures/outsource/water1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphafunc GT0
		tcMod turb 0.5 0.5 0.1
		rgbGen identity
	}
}

// FROM DMMQ3DM2.SHADER

textures/outsource/lt2_2000
{
	qer_editorimage textures/outsource/light2.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/outsource/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/outsource/light2.blend.tga
		rgbGen wave sin 0.6 0.1 .1 .1
		blendFunc GL_ONE GL_ONE
	}
}




textures/outsource/bouncepad01_diamond2c
{

	//	*************************************************
	//	*      	Bounce Pad on q1metal97			*
	//	*      	March 10 1999				*	
	//	*	Please Comment Changes			*
	//	*************************************************

	//q3map_surfacelight 2000
	surfaceparm nodamage
	q3map_lightimage textures/outsource/jumppadsmall.tga	
	q3map_surfacelight 2000

	
	{
		map textures/outsource/bouncepad01_diamond2c.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/outsource/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/outsource/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	//	END
}


textures/outsource/baslt4_1_2k
{
	qer_editorimage textures/outsource/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/outsource/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/outsource/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/outsource/c_met5_2_trans
{
	qer_editorimage textures/outsource/c_met5_2.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/outsource/c_met5_2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}


textures/outsource/proto_lightred2
{
	q3map_lightimage textures/outsource/proto_lightred.tga
	qer_editorimage textures/outsource/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	//light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/outsource/proto_lightred.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/outsource/proto_lightred.tga
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
	
}

textures/outsource/z_support
{
	surfaceparm	metalsteps	
    surfaceparm trans	
	surfaceparm alphashadow
    surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/outsource/z_support.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/outsource/x_support2
{
	surfaceparm	metalsteps	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/outsource/x_support2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/outsource/border11light
{
	q3map_surfacelight 500
	Q3map_lightimage textures/outsource/border11light.glow.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/outsource/border11light.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/outsource/border11light.glow.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin .9 .1 0 10
	}
}


textures/outsource/bluemetalsupport2c
{
	

	{
		map textures/outsource/chrome_env2.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/outsource/bluemetalsupport2c.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/outsource/bluemetalsupport2e
{
	

	{
		map textures/outsource/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/outsource/bluemetalsupport2e.tga
		blendFunc blend	
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}



//***LAUNCHPAD DIAMOND FLOOR***
textures/outsource/launchpad_diamond
{
	//	*************************************************
	//	*      	Launchpad on Diamond			*
	//	*      	April 30 1999				*	
	//	*	Please Comment Changes			*
	//	*************************************************
	
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/outsource/launchpad_diamond.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/outsource/launchpad_dot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	// 	CHANGED BECAUSE OF RAGE PRO PROBLEM
	//	{	
	//		map textures/outsource/launchpad_arrow.tga		
	//		blendfunc gl_src_alpha gl_one	
	//		tcmod scroll 0 2
	//		rgbgen wave square 0 1 0 2
	//		alphagen wave square 0 1 .1 2
	//	}

	// 	TEMPORARY FIX TO GET AROUND ALPHA BLEND IN RAGE PRO
	{ 
		animmap 4 textures/outsource/launchpad_arrow.tga textures/outsource/launchpad_arrow2.tga textures/outsource/launchpad_arrow2.tga textures/outsource/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

// FROM LAERTH.SHADER

textures/outsource/light2
{
	qer_editorimage textures/outsource/light2.tga
	q3map_lightimage textures/outsource/light2.blend.tga
	q3map_surfacelight 5000
	//light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/outsource/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/outsource/light2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/outsource/smlight01
{
	qer_editorimage textures/outsource/smlight01.tga
	q3map_surfacelight 2500
	//light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/outsource/smlight01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/outsource/Grate-1
{
	surfaceparm	metalsteps		
	surfaceparm	alphashadow
	cull none

	// A RUSTED GRATE THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/outsource/Grate-1.tga
		tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal	
	}
}
textures/outsource/lavahell
{
	// Added to g3map_global texture on May 11, 1999
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/outsource/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}

// FROM JOCKUM

textures/outsource/grass
// grass, no marks
{
	surfaceparm nomarks
	{
	        map textures/outsource/grass.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}


textures/outsource/gratedoor
// transparent grate
{ 
        surfaceparm trans	
	surfaceparm alphashadow
        surfaceparm nomarks	
	cull none

       {
                map textures/outsource/gratedoor.tga
                blendFunc GL_ONE GL_ZERO
                alphaFunc GE128
                depthWrite
		rgbGen identity
       }
       {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
       }
}